#script for creating 16S based phylogenetic tree
#align sequence using mafft --auto option 


mafft --auto legionella_compare_genome.fasta > mafft_legionella_compare_genome.fasta
"""
Strategy:
 L-INS-i (Probably most accurate, very slow)
 Iterative refinement method (<16) with LOCAL pairwise alignment information
"""

#Estimate tree using RAxML GTRGAMMA model 
raxmlHPC-SSE3 -f a -s mafft_legionella_compare_genome.fasta -p 12345 -x 12345 -# 100 -m GTRGAMMA -n 16S_tree

#The phylogenetic tree was drawn using Figtree with the newick file RAxML_bipartions.16S_tree.
