#script for creating FIRs based phylogenetic tree
#align sequence using mafft --auto option 

mafft --auto icmR_gene_protein.fasta > mafft_icmR_gene_protein.fasta
"""
Strategy:
 L-INS-i (Probably most accurate, very slow)
 Iterative refinement method (<16) with LOCAL pairwise alignment information
"""

#Estimate tree using RAxML GTRGAMMA model 
raxmlHPC-SSE3 -f a -s mafft_icmR_gene_protein.fasta -p 12345 -x 12345 -# 100 -m PROTGAMMAAUTO -n icmR_tree

#The phylogenetic tree was drawn using Figtree with the newick file RAxML_bipartions.icmR_tree.